using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace Sharp_QR_EP
{
    static class Program
    {
        [DllImport("QRC_PRO.dll", EntryPoint = "Connect_QR_Decoder", CallingConvention = CallingConvention.StdCall)]
        internal static extern IntPtr Connect_QR_Decoder([In] Int32 MaxColCount, [In] Int32 MaxRowCount);
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main ( )
        {
            IntPtr decPtr = Connect_QR_Decoder(4000,4000);
            if (decPtr == IntPtr.Zero)
            {
                return;
            }
            Application.EnableVisualStyles( );
            Application.SetCompatibleTextRenderingDefault( false );
            Application.Run( new Form1(decPtr) );
        }
    }
}